Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 776676 - dev-util/idea-community-2021.3.1.203.6682.168 crashes with free(): invalid pointer
Summary: dev-util/idea-community-2021.3.1.203.6682.168 crashes with free(): invalid po...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mike Pagano
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CVE-2021-2161, CVE-2021-2163
  Show dependency tree
 
Reported: 2021-03-16 13:51 UTC by Stefan de Konink
Modified: 2021-04-27 22:53 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan de Konink 2021-03-16 13:51:47 UTC
Idea crashes upon startup.

Reproducible: Always

Steps to Reproduce:
1. emerge idea-community
2. /opt/idea-community-2021.3.1/bin/idea.sh

Actual Results:  
/opt/idea-community-2021.3.1/bin/idea.sh 
OpenJDK 64-Bit Server VM warning: Option UseConcMarkSweepGC was deprecated in version 9.0 and will likely be removed in a future release.
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by com.intellij.util.ui.StartupUiUtil to constructor com.sun.java.swing.plaf.gtk.GTKLookAndFeel()
WARNING: Please consider reporting this to the maintainers of com.intellij.util.ui.StartupUiUtil
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
free(): invalid pointer
/opt/idea-community-2021.3.1/bin/idea.sh: line 232: 130354 Aborted                 (core dumped) "$JAVA_BIN" -classpath "$CLASSPATH" ${VM_OPTIONS} "-XX:ErrorFile=$HOME/java_error_in_idea_%p.log" "-XX:HeapDumpPath=$HOME/java_error_in_idea_.hprof" "-Didea.vendor.name=${PRODUCT_VENDOR}" "-Didea.paths.selector=${PATHS_SELECTOR}" "-Djb.vmOptionsFile=$VM_OPTIONS_FILE" ${IDE_PROPERTIES_PROPERTY} -Didea.platform.prefix=Idea -Didea.jre.check=true com.intellij.idea.Main "$@"


Portage 3.0.17 (python 3.9.2-final-0, default/linux/amd64/17.1/no-multilib, gcc-10.2.0, glibc-2.32-r8, 5.11.2-gentoo x86_64)
=================================================================
System uname: Linux-5.11.2-gentoo-x86_64-AMD_Ryzen_5_2500U_with_Radeon_Vega_Mobile_Gfx-with-glibc2.32
KiB Mem:    16092012 total,   4868840 free
KiB Swap:   33554428 total,  33554428 free
Timestamp of repository gentoo: Sat, 13 Mar 2021 13:30:01 +0000
Head commit of repository gentoo: a4c3cbf3614495cfffd479beb579d47f326e5907
sh bash 5.1_p4
ld GNU ld (Gentoo 2.34 p6) 2.34.0
ccache version 4.2 [disabled]
app-shells/bash:          5.1_p4::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.32.1::gentoo
dev-lang/python:          2.7.18_p7::gentoo, 3.7.10::gentoo, 3.8.8::gentoo, 3.9.2::gentoo, 3.10.0_alpha6-r2::gentoo
dev-util/ccache:          4.2::gentoo
dev-util/cmake:           3.19.6::gentoo
sys-apps/baselayout:      2.7-r1::gentoo
sys-apps/openrc:          0.41.2::gentoo
sys-apps/sandbox:         2.21::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo, 2.71::gentoo
sys-devel/automake:       1.16.3-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo, 2.33.1-r1::gentoo, 2.34-r2::gentoo, 2.35.2::gentoo
sys-devel/gcc:            10.2.0-r5::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.11::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r8::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: 
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1

4nykey
    location: /var/lib/layman/4nykey
    masters: gentoo
    priority: 50

Drauthius
    location: /var/lib/layman/Drauthius
    masters: gentoo
    priority: 50

booboo
    location: /var/lib/layman/booboo
    masters: gentoo
    priority: 50

dotnet
    location: /var/lib/layman/dotnet
    masters: gentoo
    priority: 50

flavour
    location: /var/lib/layman/flavour
    masters: gentoo
    priority: 50

fordfrog
    location: /var/lib/layman/fordfrog
    masters: gentoo
    priority: 50

gentoo-zh
    location: /var/lib/layman/gentoo-zh
    masters: gentoo
    priority: 50

imaging
    location: /var/lib/layman/imaging
    masters: gentoo
    priority: 50

lto-overlay
    location: /var/lib/layman/lto-overlay
    masters: gentoo mv
    priority: 50

mv
    location: /var/lib/layman/mv
    masters: gentoo
    priority: 50

raiagent
    location: /var/lib/layman/raiagent
    masters: gentoo
    priority: 50

salfter
    location: /var/lib/layman/salfter
    masters: gentoo
    priority: 50

FireBurn
    location: /var/lib/layman/FireBurn
    masters: gentoo
    priority: 60

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=znver1 -O2 -pipe -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.6/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=znver1 -O2 -pipe -pipe"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -march=znver1 -O2 -pipe -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=znver1 -O2 -pipe -pipe"
GENTOO_MIRRORS="http://mirror.leaseweb.com/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j7"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl adwaita-icon-theme alsa amd64 apng autohint berkdb bluetooth brotli bzip2 cairo caps clang cli codec2 corefonts cpudetection crypt curl dav1d dbus designer dri dri3 egl exif ffmpeg fftw fontconfig fortran gdal gdbm geos gimp gles2 glslang gold graphite gtk gtk3 hackrf harfbuzz heif http2 hunspell iconv icu infinality ipv6 jack jpeg jpeg2k jumbo-build lapack libglvnd libnotify libsamplerate libtirpc lm-sensors lto lz4 lzma minizip ncurses nptl ntfs ogg opencv openexr opengl openmp optimization opus orc pam pcre pdf pgo png policykit postgres qml qt5 readline rtlsdr rubberband seccomp sftp sndfile speex split-usr sqlite srt ssl startup-notification strong-optimization svg synaptics system-jsoncpp system-libvpx systemd sysv-utils tcpd theora tiff tracepath truetype udev unicode upower vaapi vdpau vim-syntax vorbis vpx vulkan webp webstart woff2 x264 x265 xattr xinerama xrandr zeromq zlib zstd" ABI_X86="64" ADA_TARGET="gnat_2018" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" L10N="en nl" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="AMDGPU BPF" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres13" PYTHON_SINGLE_TARGET="python3_8" PYTHON_TARGETS="python2_7 python3_7 python3_9 python3_8" RUBY_TARGETS="ruby27 ruby30" USERLAND="GNU" UWSGI_PLUGINS="cache carbon cheaper_busyness corerouter fastrouter http logfile logsocket mongodblog nagios ping rawrouter redislog router_basicauth router_cache router_expires router_hash router_http router_memcached router_metrics router_redirect router_redis router_rewrite router_static router_uwsgi rpc signal spooler symcall syslog transformation_chunked transformation_gzip transformation_offload transformation_tofile ugreen zergpool" VIDEO_CARDS="amdgpu radeonsi radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Joakim Tjernlund 2021-03-16 18:52:52 UTC
Try downgrading openjdk
Comment 2 Stefan de Konink 2021-03-16 19:01:49 UTC
(In reply to Joakim Tjernlund from comment #1)
> Try downgrading openjdk

Confirmed. Going back to openjdk-bin-11.0.9_p11 from openjdk-bin-11.0.10_p9 works.
Comment 3 Mike Pagano gentoo-dev 2021-03-16 22:41:04 UTC
This is a known bug upstream, I should add a blocker on it in the ebuild.
Comment 4 Larry the Git Cow gentoo-dev 2021-03-18 13:52:27 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a85a8779124165af49b682c9ed7967d1947029c6

commit a85a8779124165af49b682c9ed7967d1947029c6
Author:     Mike Pagano <mpagano@gentoo.org>
AuthorDate: 2021-03-18 13:52:17 +0000
Commit:     Mike Pagano <mpagano@gentoo.org>
CommitDate: 2021-03-18 13:52:17 +0000

    dev-util/idea-community: Block openjdk version that crashes this package
    
    Closes: https://bugs.gentoo.org/776676
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Mike Pagano <mpagano@gentoo.org>

 .../idea-community-2021.3.1.203.6682.168-r1.ebuild | 133 +++++++++++++++++++++
 1 file changed, 133 insertions(+)
Comment 5 Georgy Yakovlev gentoo-dev 2021-04-27 20:14:04 UTC
re-opening as it's blocking https://bugs.gentoo.org/784611
Comment 6 Joakim Tjernlund 2021-04-27 20:20:41 UTC
(In reply to Georgy Yakovlev from comment #5)
> re-opening as it's blocking https://bugs.gentoo.org/784611

and 11.0.11_p9 has the same bug which crashes idea?
Is there a JDK bug URL upstream somewhere?
Comment 7 Joakim Tjernlund 2021-04-27 21:11:34 UTC
(In reply to Joakim Tjernlund from comment #6)
> (In reply to Georgy Yakovlev from comment #5)
> > re-opening as it's blocking https://bugs.gentoo.org/784611
> 
> and 11.0.11_p9 has the same bug which crashes idea?
> Is there a JDK bug URL upstream somewhere?

So it seems, downgrading again ...
Comment 8 Larry the Git Cow gentoo-dev 2021-04-27 21:54:58 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f3773f8c9d46fe5c1929384aa0e1439a5e151b8

commit 1f3773f8c9d46fe5c1929384aa0e1439a5e151b8
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2021-04-27 21:42:12 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2021-04-27 21:54:45 +0000

    dev-java/openjdk-bin: revbump 11, use system harfbuzz
    
    Bug: https://bugs.gentoo.org/776676
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 ...openjdk-bin-11.0.11_p9.ebuild => openjdk-bin-11.0.11_p9-r1.ebuild} | 4 ++++
 1 file changed, 4 insertions(+)
Comment 9 Georgy Yakovlev gentoo-dev 2021-04-27 21:55:25 UTC
(In reply to Joakim Tjernlund from comment #7)
> (In reply to Joakim Tjernlund from comment #6)
> > (In reply to Georgy Yakovlev from comment #5)
> > > re-opening as it's blocking https://bugs.gentoo.org/784611
> > 
> > and 11.0.11_p9 has the same bug which crashes idea?
> > Is there a JDK bug URL upstream somewhere?
> 
> So it seems, downgrading again ...

11.0.11_p9-r1 for both -bin and source version should solve it.
it now uses system harfbuzz instead of bundled one.


let us know if you still have trouble.